<template>
  <div class="toggler">
    <button
      type="button"
      class="button"
      :class="{ active: value }"
      @click="activate(true)"
    >
      {{ labels.first }}
    </button>
    <button
      type="button"
      class="button"
      :class="{ active: !value }"
      @click="activate(false)"
    >
      {{ labels.second }}
    </button>
  </div>
</template>

<script>
export default {
  props: {
    value: {
      type: Boolean,
      default: false,
    },
    labels: {
      type: Object,
      default: () => ({ first: 'Oui', second: 'Non' }),
    },
  },
  methods: {
    activate(isActive) {
      this.$emit('input', isActive);
    },
  },
};
</script>

<style lang="scss" scoped>
  @import '~assets/css/head';

  button {
    border-radius: 1em;
    border: 1px solid $blue-medium;
    color: $dark-gray;
    margin-right: .5em;
    &.active {
      color: $white;
      background-color: $blue-medium;
    }
  }

</style>
